<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 25.60 Table</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload="onPageLoading()">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <h2 class="text-center">Danh sách đơn hàng</h2>
                <table class="table table-striped text-center" id="table-order">
                    <thead>
                        <tr>
                            <th scope="col">Order Code</th>
                            <th scope="col">Kích cở Combo</th>
                            <th scope="col">Loai Pizza</th>
                            <th scope="col">Nước uống</th>
                            <th scope="col">Thanh tiền</th>
                            <th scope="col">Họ và tên</th>
                            <th scope="col">Số điện thoại</th>
                            <th scope="col">Trạng thái</th>
                            <th scope="col">Chi tiết</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</body>
<script>
    //REGION 1
    "use strict";
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
    //REGION 2

    //REGION 3
    function onPageLoading(){
        var vXmlHttpGetAllOrder = new XMLHttpRequest();
        callApiGetAllOrder(vXmlHttpGetAllOrder);
        displayInformationRequest(vXmlHttpGetAllOrder);
    }
    //REGION 4 
    //hàm gọi api lấy tất cả order
    function callApiGetAllOrder(paramXMLhttp){
        "use strict";
        //base url
        const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
        paramXMLhttp.open("GET", vBASE_URL, true);
        paramXMLhttp.send();
    }
    //hiển thị thông tin request
    function displayInformationRequest(paramXmlHttp){
        paramXmlHttp.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                var vRequest = paramXmlHttp.responseText;
                console.log(vRequest);
                displayInformationTable(paramXmlHttp);
            }
        }
    }
    //hàm hiển thị thông tin lên bảng
    function displayInformationTable(paramXmlhttp){
        //chuyển JSON về Obj
        var vOrderObj = JSON.parse(paramXmlhttp.responseText);
        var vTabel = document.getElementById("table-order");
        for(var bI = 0; bI < vOrderObj.length; bI++){
            var vNewRow = vTabel.insertRow(-1);
            var vCellOrderCode = vNewRow.insertCell(-1);
            vCellOrderCode.innerHTML = vOrderObj[bI].orderCode;

            var vCellKichCoCombo = vNewRow.insertCell(-1);
            vCellKichCoCombo.innerHTML = vOrderObj[bI].kichCo;

            var vCellLoaiPizza = vNewRow.insertCell(-1);
            vCellLoaiPizza.innerHTML = vOrderObj[bI].loaiPizza;

            var vCellNuocUong = vNewRow.insertCell(-1);
            vCellNuocUong.innerHTML = vOrderObj[bI].idLoaiNuocUong;

            var vCellThanhTien = vNewRow.insertCell(-1);
            vCellThanhTien.innerHTML = vOrderObj[bI].thanhTien;

            var vCellHoTen = vNewRow.insertCell(-1);
            vCellHoTen.innerHTML = vOrderObj[bI].hoTen;

            var vCellSoDienThoai = vNewRow.insertCell(-1);
            vCellSoDienThoai.innerHTML = vOrderObj[bI].soDienThoai;

            var vCellTrangThai = vNewRow.insertCell(-1);
            vCellTrangThai.innerHTML = vOrderObj[bI].trangThai;

            var vCellChiTiet = vNewRow.insertCell(-1);
            vCellChiTiet.innerHTML = "";
        }
    }
</script>
</html>